Package org.apache.tapestry5.corelib.data

# Enum InsertPosition

java.lang.Object
java.lang.Enum<InsertPosition>
org.apache.tapestry5.corelib.data.InsertPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<InsertPosition>`, `java.lang.constant.Constable`

public enum InsertPosition extends Enum<InsertPosition>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE`
  Insert the new content above (i.e., before) the insertion position.
  `BELOW`
  Insert the new context below (i.e., after) the insertion position.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InsertPosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static InsertPosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ABOVE

    public static final InsertPosition ABOVE
    Insert the new content above (i.e., before) the insertion position.

  - ### BELOW

    public static final InsertPosition BELOW
    Insert the new context below (i.e., after) the insertion position.

- ## Method Details

  - ### values

    public static InsertPosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static InsertPosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null